# Wallpapers
{
  lib,
  theme,
  common,
  ...
}:

{
  services.hyprpaper.settings =
    let
      monitor1 = builtins.toString theme.wallpaper.monitor1;
    in
    {
      preload = lib.mkDefault [
        monitor1
      ];

      wallpaper = lib.mkDefault [
        "${common.monitor1},${monitor1}"
      ];
    };
}
