{ pkgs, ... }:

{
  imports = [
    ./docker.nix
    ./dotnet.nix
    ./nix.nix
    ./node.nix
    ./ollama.nix
    ./rust.nix
  ];

  environment.systemPackages = with pkgs; [
    # IDEs
    vscodium # TODO set up extensions
    # Tools
    git
    just
    unstable.libpq # Required for PostgreSQL
    # Formatters
    treefmt
    shfmt
  ];
}
